Bug 1129913 - [RFE] add option to install custom repos on installed system
Summary: [RFE] add option to install custom repos on installed system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pykickstart
Version: 7.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1119867
Blocks: 1125474
TreeView+ depends on / blocked
 
Reported: 2014-08-14 00:23 UTC by Brian Lane
Modified: 2015-07-20 18:22 UTC (History)
6 users (show)

Fixed In Version: pykickstart-1.99.43.12-1
Doc Type: Enhancement
Doc Text:
The "--install" option has been added to the "repo" command. Using "--install" prompts the Anaconda installer to create a file for the specified repository in the /etc/yum.repos.d/ directory. This ensures that the repository remains available for use after the kickstart installation is complete.
Clone Of: 1119867
Environment:
Last Closed: 2015-03-05 08:18:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0353 normal SHIPPED_LIVE pykickstart bug fix and enhancement update 2015-03-05 12:39:34 UTC

Comment 2 Alexander Todorov 2014-10-30 13:18:04 UTC
> repo --name myrepo --baseurl=https://example.com/myrepo --install

correctly creates a myrepo.repo file under /etc/yum.repos.d

Comment 4 errata-xmlrpc 2015-03-05 08:18:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0353.html


Note You need to log in before you can comment on or make changes to this bug.